%define major 1
%define libname %mklibname xfont %{major}
%define devname %mklibname xfont -d

Summary:	X font Library
Name:		libxfont
Version:	1.5.1
Release:	1
License:	MIT
Group:		Development/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXfont-%{version}.tar.bz2
# From Fedora:
Patch0:		libxfont-1.5.1-bdfReadCharacters-Allow-negative-DWIDTH-values.patch

BuildRequires:	pkgconfig(fontenc)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(xtrans)
# Version 1.5.0 needs fontproto 2.1.3 or newer (x11-proto-devel >= 7.7-7).
BuildRequires:	x11-proto-devel >= 7.7-7
BuildRequires:	x11-util-macros
BuildRequires:	bzip2-devel

%description
X font Library.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	X font shared library
Group:		Development/X11
Provides:	%{name} = %{version}
Conflicts:	libxorg-x11 < 7.0

%description -n %{libname}
X font shared library.

%files -n %{libname}
%{_libdir}/libXfont.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{EVRD}
Provides:	libxfont-devel = %{EVRD}
Obsoletes:	%{_lib}xfont1-devel < 1.4.5
Obsoletes:	%{_lib}xfont-static-devel < 1.4.5
Conflicts:	libxorg-x11-devel < 7.0

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%{_libdir}/libXfont.so
%{_libdir}/pkgconfig/xfont.pc
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/*

#----------------------------------------------------------------------------

%prep
%setup -qn libXfont-%{version}
%apply_patches


%build
%configure2_5x \
	--disable-static \
	--with-bzip2 \
	--without-fop

%make

%install
%makeinstall_std


%changelog

* Fri Sep 04 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1.5.1-1
- (60b0783) Updated to version 1.5.1 with an additional patch from Fedora
- (60b0783) Note that this version requries x11-proto-devel 7.7-7 or newer, that is,
- (60b0783) fontsproto 2.1.3 or newer, and is intended for Xorg 1.16 or newer.


